<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_6edacb78bd55" . "c5015af27c8ac" . "1fcd9af" => base64_decode("bWV0aG9kX2V4" . "aXN0cw=="), "_7eacce07e2449116f62c9464710c3" . "7f7" => base64_decode("cmVzZX" . "Q="), "_c06c961f393742ec" . "fd52b72263ac9470" => base64_decode("aW50dm" . "Fs"), "_aed8da0f1909121" . "4b78f80351048517" . "c" => base64_decode("c3" . "Ry" . "bG" . "Vu"), "_4d707fab93bebb00bbe69e" . "8159697c90" => base64_decode(""), "_e608e5b5c4c34a67ba97ef84c1" . "e16199" => base64_decode("Jw=" . "="), "_19d1237a619f7b35ad" . "6dbebf025f17c8" => base64_decode("c3" . "Ry" . "Y2" . "1w"), "_80453d7bea0ddc48a" . "fe3e3c89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb24gbW" . "V0aG9kICc="));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_7eacce07e2449116f62c946" . "4710c37f7"]) != $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_6edacb78b" . "d55c5015af" . "27c8ac1fcd" . "9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_80453d7bea" . "0ddc48afe3e" . "3c89e0b8aec"] . $validate_method . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e608e5b5c4c34a67ba97ef8" . "4c1e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_aed8da0f19091214b78f8035104851" . "7c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_19d1237a619f7b35ad6dbebf025" . "f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c06c961f393742ecf" . "d52b72263ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_aed8da0f19091214b78f" . "80351048517c"]($value);
    }
}